#! /usr/bin/python 
# -*- coding: utf-8 -*-

# version 1.1

# python 2
# script CGI-Python
# (C) Fabrice Sincère

# lecture de l'entrée 22

# /usr/lib/cgi-bin/lecture.py
# URL
# localhost/cgi-bin/lecture.py


# il faut ajouter www-data dans le groupe gpio
# sudo adduser www-data gpio

# Il faut donner des droits en exécution sur ce fichier :
# sudo chmod +x /usr/lib/cgi-bin/lecture.py

import sys
import time

try:
    import RPi.GPIO as GPIO
except:
    print sys.exc_info()[1]
    sys.exit(1)

# choix de la broche

GPIO.setmode(GPIO.BOARD) # board numbering system

channel = 22

GPIO.setup(channel, GPIO.IN, pull_up_down=GPIO.PUD_UP) # configuration en entrée

niveau = GPIO.input(channel)

# timestamp
timestamp = format(time.time())

print "Content-Type:application/json; charset=UTF-8\n"

print "{\"time\":" + str(timestamp) + ",\"niveau\":" + str(niveau)+"}"
# {"time":1507291158.3383,"niveau":1}

#GPIO.cleanup(channel)






