#! /usr/bin/python 
# -*- coding: utf-8 -*-

# version 1.0

# python 2
# script CGI-Python
# (C) Fabrice Sincère

# commande la sortie 16

# /usr/lib/cgi-bin/commande_sortie.py
# URL
# localhost/cgi-bin/commande_sortie.py?niveau=0
# commande_sortie.py?niveau=1

# il faut ajouter www-data dans le groupe gpio
# sudo adduser www-data gpio

# Il faut donner des droits en exécution sur ce fichier :
# sudo chmod +x /usr/lib/cgi-bin/commande_sortie.py

import cgi
import cgitb
cgitb.enable()
import sys

try:
    import RPi.GPIO as GPIO
except:
    print sys.exc_info()[1]
    sys.exit(1)

print "Content-Type: text/html\n"

print """<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>GPIO Raspberry Pi</title>
    </head>
    <body>
        <h1>GPIO Raspberry Pi - Sortie broche 16</h1>"""

# méthode GET
form = cgi.FieldStorage()

# on vérifie que la variable existe
if form.has_key("niveau"):

    valeur = form["niveau"].value

    try:
        # on vérifie que c'est bien un entier
        valeur = int(valeur)
    except:
        print "<p>Valeur invalide !</p>"
        sys.exit(2)
    else:
        if valeur not in [0, 1]:
            print "<p>Valeur invalide !</p>"
            sys.exit(3) 

        # commande de la sortie
        GPIO.setmode(GPIO.BOARD)
        channel = 16
        
        GPIO.setup(channel, GPIO.OUT) # set up a channel as an output

        if valeur == 1:
            GPIO.output(channel, GPIO.HIGH)
            print "<p id='resultat'>La LED est allumée (sortie au niveau haut)</p>"
        else:
            # niveau 0
            GPIO.output(channel, GPIO.LOW)
            print "<p id='resultat'>La LED est éteinte (sortie au niveau bas)</p>"
        
        print """</body>
</html>"""
        
        # GPIO.cleanup(channel) # surtout pas de cleanup !!!
    
else:
    print "<p>Valeur invalide !</p>"

        






